Remove a user from a learning path
Endpoint URL
DELETE /api/v2/learning-paths/enrollments
Removes a user's enrollment from a specific learning path. To successfully unenroll a user, provide the user's unique ID using the user_id attribute and the learning path's unique ID using the learning_path_id attribute in the request body. If the request is valid and the enrollment exists, the API deletes the enrollment and removes the user's access to the learning path.
Request
Responses
- 204
- 400
- 403
- 404
- 409
User successfully removed from the learning path
Invalid or missing request body fields
Insufficient permissions to remove this user from the learning path
User or learning path not found
User is not enrolled in this learning path